using System.Collections;
using System.ComponentModel;
using System.Configuration.Install;
using System.Runtime.InteropServices;

namespace iPodShuffle
{
	[RunInstaller(true)]
	public class RegAsmInstaller: Installer
	{
		public override void Install(IDictionary stateSaver)
		{
			base.Install (stateSaver);
		
			RegistrationServices reg = new RegistrationServices();
			reg.RegisterAssembly(
				  this.GetType().Assembly
				, AssemblyRegistrationFlags.SetCodeBase
				);
		}

		public override void Uninstall(IDictionary savedState)
		{
			base.Uninstall (savedState);
		
			RegistrationServices reg = new RegistrationServices();
			reg.UnregisterAssembly(this.GetType().Assembly);
		}
	}
}
